Subject: Re: [Sigtran] M3UA(rfc 3332) DUPU from ASP

From: [email-masked]
Date: Fri, 25 Oct 2002 15:07:59 +0530

Hi
     Brian then what is the advantage of having routing key type DPC.
                Please clearify in which scenario it will be useful to have AS
with
                routing key type DPC only.
Regards
Kamesh

"Brian F. G. Bidulock" <[email-masked]> on 10/25/2002 03:13:22 PM

Please respond to [email-masked]

To:   Kamesh Kaul/HSS@HSS
cc:   [email-masked]

Subject:  Re: [Sigtran] M3UA(rfc 3332) DUPU from ASP

Kamesh,

If the ASP cannot indicate the message to the ISUP user it should
have already deactivated the Routing Context for ISUP.  SCCP and
ISUP should be implemented as separate AS with separate RC and RK.
It is the responsibility of the SG to determine user part availability
based on the state of the separate AS (one or more AS per user).

Therefore, as indicated in RFC 3332, UPU is always sent in the
direction from SG to ASP.

--brian

[email-masked] wrote:
(Fri, 25 Oct 2002 09:43:29)
>
>
> Hi,
>      In fig. below ASP is actively processing traffic for AS(DPC X).  SGP
>      sends a data message to ASP for user ISUP. If ASP is not able to
>      indicate the data message to ISUP user can ASP send DUPU message to SGP
>      with affected point code X and user ISUP.No were in RFC 3332 it is
>      mentioned that ASP can send DUPU message to SGP. Please clearify
>
>                                         AS(DPC X)
>     SG (DPC Y)
>                                       +-------------------+
>   +----------+                        |+--------+--------+|
>   |          |                        ||        |        ||
>   |          |                        ||  SCCP  |    ISUP||
>   |   SGP    +------------------------+|        |        ||
>   |          |                        |+--------+--------+|
>   |          |                        ||      M3UA       ||
>   +----------+                        |+-----------------+|
>                                       +-------------------+
>                                               ASP
> Regards
> Kamesh

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 25 Oct 2002 04:59:46 -0600

Kamesh,

Your example is of a situation where ISUP and SCCP are independent (one can
become unavailable while the other is not).  RK on DPC might be useful in the
situation where there is either only one user part, or when both ISUP and SCCP
live or die together (i.e., both are a nodal function and the node is either
active or inactive).

Nowadays it is very rare to have a TCAP stack which is not integrally tied
to call processing (ISUP).

--brian

[email-masked] wrote:                           (Fri, 25 Oct 2002 15:07:59)
>      Please clearify in which scenario it will be useful to have AS with